"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const net = require("net");
const path = require("path");
const actions_1 = require("./actions");
const log = require("./log");
program
    .command('host')
    .description('Show your current host IP')
    .action(() => {
    actions_1.showHost();
});
program
    .command('set <hostIP>')
    .description('Set your host IP')
    .action((hostIP) => {
    if (!net.isIP(hostIP)) {
        log.error(`${hostIP} is not a valid IP`);
        process.exit(1);
    }
    actions_1.saveHost(hostIP);
});
program
    .command('watch [item]')
    .description('Watching change in a directory or file')
    .action((item) => {
    const pwd = process.cwd();
    if (!item) {
        item = '.';
    }
    item = path.resolve(pwd, item);
    actions_1.watch(item);
});
program.parse(process.argv);
