"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const os_1 = require("os");
const path_1 = require("path");
const archiver = require("archiver");
function isPackageDir(dir) {
    const filesSet = new Set(fs_1.readdirSync(dir));
    for (const f of ['assets', 'scripts', 'strings', 'config.json', 'main.js']) {
        if (!filesSet.has(f)) {
            return false;
        }
    }
    return true;
}
exports.isPackageDir = isPackageDir;
function zipFolder(dir, dstName) {
    const archive = archiver('zip');
    const path = path_1.join(os_1.tmpdir(), dstName);
    const s = fs_1.createWriteStream(path);
    archive
        .directory(dir, false)
        .finalize();
    archive.pipe(s);
    return new Promise(r => {
        s.on('close', () => r(path));
    });
}
exports.zipFolder = zipFolder;
function tryCatch(promise) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const ret = yield promise;
            return [ret, null];
        }
        catch (e) {
            return [null, e];
        }
    });
}
exports.tryCatch = tryCatch;
